<app-unified-header></app-unified-header>
<div class="container ui-area">
    <app-in-page-alerts></app-in-page-alerts>
    <div class="row search-bar-new-button-row">
        <div class="col-md-6 col-sm-12 col-12">
            <h6 class="page-header"><span><a href="teams" *ngIf="teamDisplayMode == -1">All Teams</a><a
                        href="teams/{{teamDisplayMode}}/{{targetObjectId}}/select"
                        *ngIf="teamDisplayMode == 1 && targetObjectId != null">All Teams</a>&gt;&gt; <span
                        id="span_team_name"></span></span></h6>
        </div>
        <div class="col-md-6 col-sm-12 col-12">
            <span class="back-to-objects-root-tag" *ngIf="isObjectRoot"><a href="objects">Back to Objects</a></span>
        </div>
    </div>

    <app-permissions-dropdown *ngIf="displayType == 2" id="permissions-wizard"></app-permissions-dropdown>

    <div class="row search-bar-new-button-row">
        <div class="col-md-6 col-sm-12 col-12">
            <app-search-bar></app-search-bar>
        </div>
        <div class="col-md-6 col-sm-12 col-12">
            <app-new-button></app-new-button>
        </div>
    </div>
    <p id="error-message-text"></p>
    <app-loading-gif-text></app-loading-gif-text>
    <div id="table-parent" *ngIf="usersAttributes && usersAttributes.length > 0">
        <table id="data-table" class="table table-striped table-bordered dt-responsive nowrap" style="width:100%">
            <thead>
                <tr style="background-color:rgba(0, 0, 0, 0.05);">
                    <th>Name</th>
                    <th>Email</th>
                    <th *ngIf="displayType != 2">Actions</th>
                </tr>
            </thead>
            <tbody id="data-table-body"
                *ngFor="let index of usersAttributes | paginate: { itemsPerPage: itemsPerPage, currentPage: startIndex + 1, totalItems: totalNumber  }">
                <tr style="background-color: white;">
                    <td><input *ngIf="displayType == 2" type="checkbox" (click)="onItemSelected(index._id)">
                        {{index.name}}</td>
                    <td>{{index.email}}</td>
                    <td *ngIf="displayType == 1 && index.isPartOfGroup"><button id="btn_{{index._id}}"
                            class="action-button" (click)="onActionButtonClicked(index._id)">Remove</button></td>
                    <td *ngIf="displayType == 1 && !index.isPartOfGroup"><button id="btn_{{index._id}}"
                            class="action-button" (click)="onActionButtonClicked(index._id)">Add</button></td>

                    <td *ngIf="displayType == 0">
                        <select (change)='onActionSelected(index)' id="select_{{index._id}}">
                            <option value="select_action">Select Action</option>
                            <option value="edit">Edit</option>
                            <option value="delete" *ngIf="index.is_delete && !index.is_me">Delete</option>
                        </select>
                    </td>
                </tr>
            </tbody>
        </table>
    </div>
    <div class="row pagination-row" *ngIf="usersAttributes && usersAttributes.length > 0">
        <div class="col-md-6 col-sm-12 col-12">
            <span class="table-footer-showing-text"><b>Showing {{startIndex + 1}} -
                    {{(startIndex) * itemsPerPage + usersAttributes.length}} of {{totalNumber}}
                    Items</b></span>
        </div>
        <div class="col-md-6 col-sm-12 col-12">
            <div class="paginator">
                <pagination-controls (pageChange)="pageChanged($event)"></pagination-controls>
            </div>
        </div>
    </div>
</div>
<ngx-spinner bdColor="rgba(51, 51, 51, 0.8)" size="large" color="#fff" type="timer">
</ngx-spinner>